aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xtj-alternate.sh29
-rwxr-xr-xtjclip-alternate.sh2
2 files changed, 28 insertions, 3 deletions
diff --git a/tj-alternate.sh b/tj-alternate.sh
index 1ae03f4..e6dd16d 100755
--- a/tj-alternate.sh
+++ b/tj-alternate.sh
@@ -3,8 +3,33 @@
# This script replaces the _tj as the main functionality of the tj fish function, as wash. We don't need
# the fish function any more - this does the job.
-# Our target file
-TODAY_JOURNAL=~/Documents/Notes/journal/$(date +\%Y-\%m-\%d).md
+
+# Here we are allowed to pass the -m flag to send the output to a different journal - one for work.
+DEFAULT_JOURNAL=~/Documents/Notes/journal/home/$(date +\%Y-\%m-\%d).md
+USE_CUSTOM_JOURNAL=false
+
+while getopts "m" opt; do
+ case $opt in
+ m)
+ USE_CUSTOM_JOURNAL=true
+ ;;
+ \?)
+ echo "Invalid option: -$OPTARG" >&2
+ exit 1
+ ;;
+ esac
+done
+
+shift $((OPTIND-1))
+
+# Set TODAY_JOURNAL to the default value or the custom value depending on the flag
+if [ "$USE_CUSTOM_JOURNAL" = true ]; then
+ TODAY_JOURNAL=~/Documents/Notes/journal/work/MOD-$(date +\%Y-\%m-\%d).md
+else
+ TODAY_JOURNAL="$DEFAULT_JOURNAL"
+fi
+
+
# Test whether it already exisits or not
if [[ -a $TODAY_JOURNAL ]]
diff --git a/tjclip-alternate.sh b/tjclip-alternate.sh
index 501edfe..cb3483a 100755
--- a/tjclip-alternate.sh
+++ b/tjclip-alternate.sh
@@ -3,7 +3,7 @@
# this script replaces tjclip fish function which relied on _tj.
# Our target file
-TODAY_JOURNAL=~/Documents/Notes/journal/$(date +\%Y-\%m-\%d).md
+TODAY_JOURNAL=~/Documents/Notes/journal/home/$(date +\%Y-\%m-\%d).md
URL="$(xclip -o clipboard clipboard)"
# Test whether it already exisits or not